App\Entity\Research:
  exclusion_policy: all
  virtual_properties:
    getNegotiationsNo:
      serialized_name: negotiationsNo
      type: integer
      groups: [grid, broadcast, all]
    getProspectsNo:
      type: integer
      groups: [grid, broadcast, all]
    getNewMessagesNo:
      type: integer
      groups: [grid, broadcast, all]
    getMessageRepliesNo:
      type: integer
      groups: [grid, broadcast, all]
  properties:
    id:
      groups: [all, grid, broadcast]
    user:
      groups: [all, grid, broadcast]
      max_depth: 1
    campaign:
      groups: [all, grid, broadcast]
      max_depth: 1
    status:
      groups: [all, grid, broadcast]
      max_depth: 1
    negotiations:
      groups: [all, grid, broadcast]
      max_depth: 3
    prospectResearchActive:
      groups: [all, grid, broadcast]
      max_depth: 1
    contentType:
      groups: [all, grid, broadcast]
      max_depth: 2
    prospects:
      groups: [all, grid, broadcast]
      max_depth: 4
    statusChangedAt:
      groups: [all, grid, broadcast]
      max_depth: 1
